/**
 * Created by benzhan on 15/8/13.
 */

var util = require('util');
var Controller = require('./../framework/Controller.js');
util.inherits(MenuController, Controller);

var prototype = MenuController.prototype;
var cUser = require('../models/cUser.js');
var rUser = require('../models/rUser.js');
/**
 * @type {MenuController}
 */
var that;

function MenuController() {
    Controller.apply(this, arguments);
    that = this;
}

MenuController.prototype.actionIndex = function(args) {
    var objUser = new cUser();
    var defer = objUser.getAllUser();

    var that = this;
    defer.then(function(cUser) {
        var pageData = {
            title : '偶家后台 - 菜单权限管理',
            cUser : cUser
        }

        that.assign(pageData);
        // that.display('menu/index');
        that.display();
    });
}

MenuController.prototype.actionAjax = function(args) {
    var objUser = new cUser();
    var defer = objUser.getvMenuNode();

    var that = this;
    defer.then(function(rUser) {
        that.success(rUser);
    });

}

MenuController.prototype.actionGetUserNode = function(args) {
    var rules = {
        'userid' : {type : 'string', nullable : false}
    };
    this.checkParam2(rules, args, true);

    var objUser = new rUser();
    var defer = objUser.getUserNode(args['userid']);

    var that = this;
    defer.then(function(ret) {
        that.success(ret);
    });
}

module.exports = MenuController;

